function GameScreen:InitScreen()
    self:LoadScreen()
    self.disable = false
    self:FadeOut();
    ItemSetDepthByOther(self.name, "hud")
    ItemSetDepth(self.name, LAYERS.ONE_LOWER)
    --ItemSetDepth("menu_button_screen", LAYERS.FRONT_MOST)
end

function GameScreen:ShowTutorial(num)
    self:CreateObj(OBJ_TYPE.NO_ACTIVE, "tutorial_1", "graphics/interface/tutorial/tutorial_0"..num, 298, 110);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "tutor_continue", "graphics/interface/hud/continue_tutorial", 586, 648);
end
 
function GameScreen:OnClick(item_name)
    if(clApplication.game_pause) then return end
    
    if(item_name == "tutor_continue" and not self.disable) then
        SoundPlay("sound/interface/button.ogg")
        self.disable = true;
        self:FadeIn();
        DelayedExec(0.5, function() 
            clScreenManager:remove_screen(self); 
        end)
    end
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("back_trigger", 0.01)
end

function GameScreen:UnLoadScreen()
    ItemSetOpacity("hud", 1.0)
    cpp_application_remove_window(self.name);
	self.win = false;
	if(self.end_fun) then
	    self:end_fun()
	end
end